<template>
  <v-app>
    <v-app-bar
      app
      color="primary"
      dark
    >
      <div class="d-flex align-center">
        <v-img
          alt="Vuetify Logo"
          class="shrink mr-2"
          contain
          :src="require('./assets/kerbal_mannetje.png')"
          transition="scale-transition"
          width="40"
        />

        <v-toolbar-title>KSP Calculator</v-toolbar-title>


        <!-- <v-img
          alt="Vuetify Name"
          class="shrink mt-1 hidden-sm-and-down"
          contain
          min-width="100"
          src="https://cdn.vuetifyjs.com/images/logos/vuetify-name-dark.png"
          width="100"
        /> -->
      </div>

      <v-spacer></v-spacer>

      <v-chip
        class="ma-2"
        :color="`${this.$store.state.socket.isConnected ? 'green' : 'red'}`"
      >
        Websocket {{this.$store.state.socket.isConnected ? 'connected' : 'disconnected'}}
      </v-chip>
    </v-app-bar>

    <v-main>
      <HelloWorld/>
      <mun-approach-chart />
    </v-main>
  </v-app>
</template>

<script>
import HelloWorld from './components/HelloWorld';
import MunApproachChart from './components/MunApproachChart';

export default {
  name: 'App',

  components: {
    HelloWorld,
    MunApproachChart,
  },

  methods: {
    
  },

  data: () => ({
    //
  })
};
</script>
